Установка видеодрайвера AMD (fglrx) в Linux Mint 18 (18.1 / 18.2)

Не знаете как установить драйвер? Возникли проблемы? Вам сюда!
Правила форума
Как правильно задавать вопросы Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа. Общая рекомендация по составлению тем: 1. Версия ОС вместе с разрядностью. Пример: LM 18.1 x64, LM Sarah x32 2. DE. Если вопрос касается двух, то через запятую. (xfce, KDE, cinnamon, mate) 3. Какое железо. (достаточно вывод inxi -Fxz в спойлере (как пользоваться спойлером смотрим здесь)) или же дать ссылку на hw-probe 4. Суть. Желательно с выводом консоли, логами. 5. Скрин. Просьба указывать 1, 2 и 3 независимо от того, имеет ли это отношение к вопросу или нет. Так же не забываем об общих правилах Как пример вот

evgeny92
Сообщения: 5
Зарегистрирован: 15 ноя 2017, 21:55

Установка видеодрайвера AMD (fglrx) в Linux Mint 18 (18.1 / 18.2)

Сообщение evgeny92 » 15 ноя 2017, 22:19

Подскажите пжл, я начинающий пользователь linux( установил linux mint 18.2 cinnamon), железо вот такое(Core i5 560m, ram 6гб, radeon hd6370m), по умолчанию установлен 1 драйвер intel-microcode. Есть ли смысл откатить ядро c 4.10.0-38 на 4.10.0-32, чтоб установить видеодрайвер amd? Получу ли я какие то изменения в лучшую сторону? Пользуюсь пару дней минтом, как бы пользоваться можно. Но вот не хватает некой плавности, особенно в браузере. Или может есть какие то альтернативные варианты? Спасибо!

Аватара пользователя

darkfenix
Сообщения: 796
Зарегистрирован: 27 июн 2017, 10:36
Решено: 11
Благодарил (а): 49 раз
Поблагодарили: 128 раз

Установка видеодрайвера AMD (fglrx) в Linux Mint 18 (18.1 / 18.2)

Сообщение darkfenix » 16 ноя 2017, 03:04

evgeny92, в терминале набери inxi -Fxz и то что выведит скопируй и вставь сюда, только для вставки используй BB-коды

Аватара пользователя

Unborn
Сообщения: 840
Зарегистрирован: 03 сен 2016, 10:36
Решено: 15
Благодарил (а): 2 раза
Поблагодарили: 126 раз

Установка видеодрайвера AMD (fglrx) в Linux Mint 18 (18.1 / 18.2)

Сообщение Unborn » 16 ноя 2017, 07:05

evgeny92 писал(а):
15 ноя 2017, 22:19
Есть ли смысл откатить ядро c 4.10.0-38 на 4.10.0-32, чтоб установить видеодрайвер amd?
С i5 560m и ядро 4.10.0-32 не особо нужно. Хватит и штатного 4.4
А вот ядро lowlatency имеет смысл установить.
evgeny92 писал(а):
15 ноя 2017, 22:19
Получу ли я какие то изменения в лучшую сторону?
Конечно. С проприетарным драйвером. Но, говорят, что сейчас новые открытые radeon на уровне старых проприетарных. Или это неосиляторы?
Интересно, здесь кто-нибудь сравнивал производительность.

Аватара пользователя

Автор темы
Chocobo
Сообщения: 5886
Зарегистрирован: 27 авг 2016, 19:57
Решено: 133
Откуда: НН
Благодарил (а): 422 раза
Поблагодарили: 1519 раз

Установка видеодрайвера AMD (fglrx) в Linux Mint 18 (18.1 / 18.2)

Сообщение Chocobo » 16 ноя 2017, 07:06

evgeny92, Обычно для отрисовки интерфейса не обязательно, такие задачи норм вывозит и свободный radeon
Каталист важней для работы 3d-приложений и игр, без него грустно все пашет

Аватара пользователя

Автор темы
Chocobo
Сообщения: 5886
Зарегистрирован: 27 авг 2016, 19:57
Решено: 133
Откуда: НН
Благодарил (а): 422 раза
Поблагодарили: 1519 раз

Установка видеодрайвера AMD (fglrx) в Linux Mint 18 (18.1 / 18.2)

Сообщение Chocobo » 16 ноя 2017, 07:08

Unborn писал(а):
16 ноя 2017, 07:05
сейчас новые открытые radeon на уровне старых проприетарных.
новые открытые - это amdgpu. Он действительно стал вкусней гораздо чем radeon, отрицать глупо.
Но все еще старой проприетари уступает процентов этак на 40, в производительности - 3d-бенчмарки Unigine (Пост Chocobo #25677)

Аватара пользователя

Unborn
Сообщения: 840
Зарегистрирован: 03 сен 2016, 10:36
Решено: 15
Благодарил (а): 2 раза
Поблагодарили: 126 раз

Установка видеодрайвера AMD (fglrx) в Linux Mint 18 (18.1 / 18.2)

Сообщение Unborn » 16 ноя 2017, 07:15

Chocobo писал(а):
16 ноя 2017, 07:08
новые открытые - это amdgpu.
Это для новых карт. А для старых, как был radeon, так и есть. Я за него спрашиваю. Или старый просто кочует по версиям ядер без особых изменений?

Аватара пользователя

Автор темы
Chocobo
Сообщения: 5886
Зарегистрирован: 27 авг 2016, 19:57
Решено: 133
Откуда: НН
Благодарил (а): 422 раза
Поблагодарили: 1519 раз

Установка видеодрайвера AMD (fglrx) в Linux Mint 18 (18.1 / 18.2)

Сообщение Chocobo » 16 ноя 2017, 07:24

Unborn, Ага. его там судя по всему тоже подзабросили взявшись за новый - объявили всю линейку до GCN - легаси карточками, условно :smile:
Как впрочем они уже делали и ранее) С другой стороны, Southern Islands (HD 78xx+, R7+) который был первым GCN - вышел уже пять лет назад, что для видеокарточек срок можно сказать немалый

Аватара пользователя

Unborn
Сообщения: 840
Зарегистрирован: 03 сен 2016, 10:36
Решено: 15
Благодарил (а): 2 раза
Поблагодарили: 126 раз

Установка видеодрайвера AMD (fglrx) в Linux Mint 18 (18.1 / 18.2)

Сообщение Unborn » 16 ноя 2017, 07:35

Chocobo, спасибо. Для общего развития знать, я же лично амдшной продукцией давно не пользуюсь. На днях пришлось ОС устанавливать на не новое амдешное железо. Подумал, может проприетарь уже особо ни к чему. Но по привычке прикрутил.

Аватара пользователя

Автор темы
Chocobo
Сообщения: 5886
Зарегистрирован: 27 авг 2016, 19:57
Решено: 133
Откуда: НН
Благодарил (а): 422 раза
Поблагодарили: 1519 раз

Установка видеодрайвера AMD (fglrx) в Linux Mint 18 (18.1 / 18.2)

Сообщение Chocobo » 16 ноя 2017, 07:48

Unborn, Сейчас ради интереса посмотрел по магазинам - везде уже вижу минимум Oland-чипы, для них еще эта инструкция актуальна. Также как и для Cape Verde / Pitcairn / Tahiti
Они оказались в переходном положении - старую проприетарь уже похерили в новых дистрах (xenial на тот момент), а новая их не поддерживает. поддержку свободного amdgpu запилили только в ядре 4.9+ для них
Отчасти поэтому и родилась эта тема, т.к. у меня к несастью оказался Pitcairn :smile:


evgeny92
Сообщения: 5
Зарегистрирован: 15 ноя 2017, 21:55

Установка видеодрайвера AMD (fglrx) в Linux Mint 18 (18.1 / 18.2)

Сообщение evgeny92 » 16 ноя 2017, 07:58

darkfenix писал(а):
16 ноя 2017, 03:04
evgeny92, в терминале набери inxi -Fxz и то что выведит скопируй и вставь сюда, только для вставки используй BB-коды

Код: Выделить всё

System:    Host: evgeny-K52JT Kernel: 4.10.0-38-generic x86_64 (64 bit gcc: 5.4.0)
           Desktop: Cinnamon 3.4.6 (Gtk 3.18.9-1ubuntu3.3)
           Distro: Linux Mint 18.2 Sonya
Machine:   System: ASUSTeK (portable) product: K52JT v: 1.0
           Mobo: ASUSTeK model: K52JT v: 1.0
           Bios: American Megatrends v: K52JT.206 date: 01/25/2011
CPU:       Dual core Intel Core i5 M 560 (-HT-MCP-) cache: 3072 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 10639
           clock speeds: max: 2667 MHz 1: 1599 MHz 2: 1466 MHz 3: 2133 MHz
           4: 1333 MHz
Graphics:  Card: Advanced Micro Devices [AMD/ATI] Robson CE [Radeon HD 6370M/7370M]
           bus-ID: 01:00.0
           Display Server: X.Org 1.18.4 drivers: ati,radeon (unloaded: fbdev,vesa)
           Resolution: 1366x768@59.99hz
           GLX Renderer: Gallium 0.4 on AMD CEDAR (DRM 2.49.0 / 4.10.0-38-generic, LLVM 4.0.0)
           GLX Version: 3.0 Mesa 17.0.7 Direct Rendering: Yes
Audio:     Card-1 Intel 5 Series/3400 Series High Definition Audio
           driver: snd_hda_intel bus-ID: 00:1b.0
           Card-2 Advanced Micro Devices [AMD/ATI] Cedar HDMI Audio [Radeon HD 5400/6300 Series]
           driver: snd_hda_intel bus-ID: 01:00.1
           Sound: Advanced Linux Sound Architecture v: k4.10.0-38-generic
Network:   Card-1: Qualcomm Atheros AR9285 Wireless Network Adapter (PCI-Express)
           driver: ath9k bus-ID: 03:00.0
           IF: wls1 state: up mac: <filter>
           Card-2: JMicron JMC250 PCI Express Gigabit Ethernet Controller
           driver: jme v: 1.0.8 ports: 9100 9000 bus-ID: 05:00.5
           IF: ens5f5 state: down mac: <filter>
Drives:    HDD Total Size: 320.1GB (5.1% used)
           ID-1: /dev/sda model: ST9320325AS size: 320.1GB
Partition: ID-1: / size: 92G used: 7.6G (9%) fs: ext4 dev: /dev/sda2
           ID-2: /home size: 196G used: 2.4G (2%) fs: ext4 dev: /dev/sda3
           ID-3: swap-1 size: 6.14GB used: 0.01GB (0%) fs: swap dev: /dev/sda1
RAID:      No RAID devices: /proc/mdstat, md_mod kernel module present
Sensors:   System Temperatures: cpu: 44.0C mobo: N/A gpu: 47.0
           Fan Speeds (in rpm): cpu: N/A
Info:      Processes: 285 Uptime: 14:01 Memory: 1579.7/5818.1MB
           Init: systemd runlevel: 5 Gcc sys: 5.4.0
           Client: Shell (bash 4.3.481) inxi: 2.2.35 


evgeny92
Сообщения: 5
Зарегистрирован: 15 ноя 2017, 21:55

Установка видеодрайвера AMD (fglrx) в Linux Mint 18 (18.1 / 18.2)

Сообщение evgeny92 » 16 ноя 2017, 18:08

Что может быть, установил Linux Mint 18.1 "Serena" - MATE (64-bit), и сразу по данной инструкции выполнил установку видео драйвера, перезагрузился и всё чёрный экран :smile: , переустановил по новой mint, получил все обновления, обновил. Пробую ещё раз установить, опять получаю чёрный экран...
этим способом не пробовал Вариант установки вручную для 4.4 ядра.

Аватара пользователя

Автор темы
Chocobo
Сообщения: 5886
Зарегистрирован: 27 авг 2016, 19:57
Решено: 133
Откуда: НН
Благодарил (а): 422 раза
Поблагодарили: 1519 раз

Установка видеодрайвера AMD (fglrx) в Linux Mint 18 (18.1 / 18.2)

Сообщение Chocobo » 16 ноя 2017, 18:13

evgeny92 писал(а):
16 ноя 2017, 18:08
этим способом не пробовал
Что это значит?) понял, не вчитался)

Аватара пользователя

Автор темы
Chocobo
Сообщения: 5886
Зарегистрирован: 27 авг 2016, 19:57
Решено: 133
Откуда: НН
Благодарил (а): 422 раза
Поблагодарили: 1519 раз

Установка видеодрайвера AMD (fglrx) в Linux Mint 18 (18.1 / 18.2)

Сообщение Chocobo » 16 ноя 2017, 18:20

evgeny92, Из черного экрана получается перейти в tty1? (ctrl-alt-f1)
Глянуть бы там логи
evgeny92 писал(а):
16 ноя 2017, 18:08
переустановил по новой mint, получил все обновления, обновил.
18.1 вроде предлагает к установке и 4.8 ядро - может поверх него уже натягивал?


evgeny92
Сообщения: 5
Зарегистрирован: 15 ноя 2017, 21:55

Установка видеодрайвера AMD (fglrx) в Linux Mint 18 (18.1 / 18.2)

Сообщение evgeny92 » 16 ноя 2017, 18:25

В tty1 не заходит, 4.8 не пробовал, ядро обновилось с 4.4.0-53 до 4.4.0-98
А обновить ядро таким образом можно?
Последний раз редактировалось пользователем 1 Dja; всего редактировалось раз: 19
Причина: подправил картинку

Аватара пользователя

Автор темы
Chocobo
Сообщения: 5886
Зарегистрирован: 27 авг 2016, 19:57
Решено: 133
Откуда: НН
Благодарил (а): 422 раза
Поблагодарили: 1519 раз

Установка видеодрайвера AMD (fglrx) в Linux Mint 18 (18.1 / 18.2)

Сообщение Chocobo » 16 ноя 2017, 18:42

evgeny92, таким образом оно и обновляется.
только и пакеты потребуется реинсталлить под 4.8 собранные
Я тоже на 4.8 тормознул

Код: Выделить всё

chocobo@desktop ~ $ inxi -SG
System:    Host: desktop Kernel: 4.8.0-53-generic x86_64 (64 bit) Desktop: Cinnamon 3.6.2
           Distro: Linux Mint 18.3 Sylvia
Graphics:  Card: Advanced Micro Devices [AMD/ATI] Curacao XT [Radeon R7 370 / R9 270X/370 OEM]
           Display Server: X.Org 1.17.3 driver: fglrx Resolution: 1920x1080@60.00hz
           GLX Renderer: AMD Radeon R9 200 Series GLX Version: 4.5.13416 - CPC 15.302
evgeny92 писал(а):
16 ноя 2017, 18:25
4.4.0-98
Проверю потом совместимость и с этой версией, за ними не уследишь. 4.10 уже ломалось аналогично...


Roman1105
Сообщения: 11
Зарегистрирован: 29 янв 2017, 19:04

Установка видеодрайвера AMD (fglrx) в Linux Mint 18 (18.1 / 18.2)

Сообщение Roman1105 » 21 ноя 2017, 14:51

:smile:
Друзья всем добрый вечер!!!
Нужна ваша помощь может кто сталкивался с подобной проблемой --Сильно жутко тормозит Ноутбук---
Acer
процессор AMD A4-7210
Карта AMD Radeon R3 Graphics
Установлен Минт 18.2 cinamon
Начал проверять везде пишет что устарели драйвера на видеокарте как можно вылечить (решить проблему)
На браузере хром постоянно висит по несколько минут прежде чем что то открыть при проверке получи вот такую информацию:

Код: Выделить всё

Note: To properly save this page, select the "Webpage, Complete" option in the Save File dialog.
Graphics Feature Status
Canvas: Software only, hardware acceleration unavailable
CheckerImaging: Disabled
Flash: Software only, hardware acceleration unavailable
Flash Stage3D: Software only, hardware acceleration unavailable
Flash Stage3D Baseline profile: Software only, hardware acceleration unavailable
Compositing: Software only, hardware acceleration unavailable
Multiple Raster Threads: Enabled
Native GpuMemoryBuffers: Software only. Hardware acceleration disabled
Rasterization: Software only, hardware acceleration unavailable
Video Decode: Software only, hardware acceleration unavailable
Video Encode: Software only, hardware acceleration unavailable
WebGL: Hardware accelerated but at reduced performance
WebGL2: Unavailable
Problems Detected
ATI/AMD cards with older drivers in Linux are crash-prone: 71381, 76428, 73910, 101225, 136240, 357314
Disabled Features: flash_stage3d, gpu_compositing, panel_fitting, flash3d, gpu_rasterization, accelerated_2d_canvas, accelerated_video_decode, webgl2, accelerated_webgl, flash_stage3d_baseline, accelerated_video_encode
Accelerated video decode is unavailable on Linux: 137247
Disabled Features: accelerated_video_decode
Accelerated video encode is unavailable on Linux
Disabled Features: accelerated_video_encode
Native GpuMemoryBuffers have been disabled, either via about:flags or command line.
Disabled Features: native_gpu_memory_buffers
Checker-imaging has been disabled via finch trial or the command line.
Disabled Features: checker_imaging
Version Information
Data exported	21.11.2017, 15:48:12
Chrome version	Chrome/62.0.3202.94
Operating system	Linux 4.11.0-14-generic
Software rendering list version	13.13
Driver bug list version	10.30
ANGLE commit id	842c43ae67ba
2D graphics backend	Skia/62 e74b41c6c84638d5a9ee6d254a715bcd9e17c603-
Command Line	/usr/bin/google-chrome-stable --flag-switches-begin --flag-switches-end
Driver Information
Initialization time	0
In-process GPU	true
Passthrough Command Decoder	false
Supports overlays	false
Sandboxed	false
GPU0	VENDOR = 0x1002, DEVICE= 0x9850
Optimus	false
Optimus	false
AMD switchable	false
Driver vendor	Google Inc.
Driver version	3.3.0.2
Driver date	2017/04/07
Pixel shader version	3.0
Vertex shader version	3.0
Max. MSAA samples	4
Machine model name	
Machine model version	
GL_VENDOR	Google Inc.
GL_RENDERER	Google SwiftShader
GL_VERSION	OpenGL ES 2.0 SwiftShader
GL_EXTENSIONS	
Disabled Extensions	
Window system binding vendor	
Window system binding version	
Window system binding extensions	
Window manager	Mutter (Muffin)
XDG_CURRENT_DESKTOP	X-Cinnamon
GDMSESSION	cinnamon
Compositing manager	Yes
Direct rendering	Yes
Reset notification strategy	0x0000
GPU process crash count	0
System visual ID	0
RGBA visual ID	0
Compositor Information
Tile Update Mode	One-copy
Partial Raster	Enabled
GpuMemoryBuffers Status
ATC	Software only
ATCIA	Software only
DXT1	Software only
DXT5	Software only
ETC1	Software only
R_8	Software only
R_16	Software only
RG_88	Software only
BGR_565	Software only
RGBA_4444	Software only
RGBX_8888	Software only
RGBA_8888	Software only
BGRX_8888	Software only
BGRA_8888	Software only
RGBA_F16	Software only
YVU_420	Software only
YUV_420_BIPLANAR	Software only
UYVY_422	Software only
У вас нет необходимых прав для просмотра вложений в этом сообщении.


global_silence
Сообщения: 81
Зарегистрирован: 25 июн 2017, 11:31
Благодарил (а): 1 раз

Установка видеодрайвера AMD (fglrx) в Linux Mint 18 (18.1 / 18.2)

Сообщение global_silence » 22 ноя 2017, 22:28

Chocobo,
Здравствуй. Пока ничего нового нет по новым ядрам?
И кстати, а вообще, если не устанавливать fglrx там же есть какие-то стандартные дрова. С ними все норм запускается на новых ядрах?

Аватара пользователя

Автор темы
Chocobo
Сообщения: 5886
Зарегистрирован: 27 авг 2016, 19:57
Решено: 133
Откуда: НН
Благодарил (а): 422 раза
Поблагодарили: 1519 раз

Установка видеодрайвера AMD (fglrx) в Linux Mint 18 (18.1 / 18.2)

Сообщение Chocobo » 23 ноя 2017, 06:15

global_silence, Привет.
Запускался с переменным успехом на разных ядрах - но кроме тех, что выкатил здесь могут вести себя странно, сопровожать их тут - я сейчас не готов
Вообще на самом деле надоедает гоняться за промежуточными ядрами, 4.8 уже вышло в EOL, да и 4.10 осталось недолго похоже жить, судя по убунтовым графикам
Снимок экрана от 2017-11-23 09-01-08.png
Вместе с фокусами от версии к версии, и учитывая что мы все же тащим поддержку железок не первой свежести, которым уберновые ядра по сути не нужны для работы - все больше склоняюсь к тому, чтоб продолжить тут обыгрывать только LTS-ядра
Снимок экрана от 2017-11-23 09-04-19.png
Для xenial самым долгосрочным остается версия 4.4, которое будет получать обновления еще несколько лет. Если анонсируют 4.14 в таком же статусе - то попробую адаптировать и его.

Хотелось бы подгадать под дефолтное ядро 18.3, чтоб была возможность установки без лишних манипуляций, но вопрос пока открыт.
Также со временем может допилю билдскрипт оттуда, где таскаю патчи - чтоб при желании могли запатчить, опакетить или поставить дровину под свои нужды, но уже самостоятельно.
У вас нет необходимых прав для просмотра вложений в этом сообщении.


Roman1105
Сообщения: 11
Зарегистрирован: 29 янв 2017, 19:04

Установка видеодрайвера AMD (fglrx) в Linux Mint 18 (18.1 / 18.2)

Сообщение Roman1105 » 24 ноя 2017, 11:05

Всем большое СПС!!! что откликнулись!!!
Скажите а что может это поможет??? http://blog.websearch.com.ua/ustanovka- ... adeon.html
Или это бесполезные манипуляции???

Аватара пользователя

Автор темы
Chocobo
Сообщения: 5886
Зарегистрирован: 27 авг 2016, 19:57
Решено: 133
Откуда: НН
Благодарил (а): 422 раза
Поблагодарили: 1519 раз

Установка видеодрайвера AMD (fglrx) в Linux Mint 18 (18.1 / 18.2)

Сообщение Chocobo » 24 ноя 2017, 11:33

Roman1105 писал(а):
24 ноя 2017, 11:05
Всем большое СПС!!! что откликнулись!!!
Каким образом тот вопрос относился к обсуждаемой теме? Хром чего-то там пишет при неизвестных условиях - причем тут fglrx?
Собственно и второй вопрос мог бы не возникнуть, если б полистал тему.

Вкратце - ссыль бесполезна. в Mint 18.X fglrx выпилен из основных репов, поэтому приводим его в чувство самостоятельно.
А в 17.X - все это можно сделать в два клика в менеджере драйверов

Вернуться в «Видеокарты»